diff -Nur ryzom_api.orig/client_functions_guilds.php ryzom_api/client_functions_guilds.php
--- ryzom_api.orig/client_functions_guilds.php	1970-01-01 01:00:00.000000000 +0100
+++ ryzom_api/client_functions_guilds.php	2009-07-19 18:51:50.000000000 +0200
@@ -0,0 +1,34 @@
+<?php
+/* Copyright (C) 2009 Winch Gate Property Limited
+ *
+ * This file is part of ryzom_api.
+ * ryzom_api is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU Lesser General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * ryzom_api is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public License
+ * along with ryzom_api.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+function ryzom_guilds_simplexml($shardID) {
+	$url = ryzom_api_base_url()."guilds.php?shardid=$shardID";
+	$ch = curl_init();
+	curl_setopt($ch, CURLOPT_URL, $url);
+	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
+	curl_setopt($ch, CURLOPT_ENCODING , 'gzip');
+	$output = curl_exec($ch);
+	curl_close($ch);
+	return simplexml_load_string($output);
+}
+
+function ryzom_guilds_xmlgz($shardID) {
+	return file_get_contents(ryzom_api_base_url()."guilds.php?shardid=$shardID");
+}
+
+?>
diff -Nur ryzom_api.orig/functions_guilds.php ryzom_api/functions_guilds.php
--- ryzom_api.orig/functions_guilds.php	1970-01-01 01:00:00.000000000 +0100
+++ ryzom_api/functions_guilds.php	2009-07-19 18:52:04.000000000 +0200
@@ -0,0 +1,19 @@
+<?php
+/* Copyright (C) 2009 Winch Gate Property Limited
+ *
+ * This file is part of ryzom_api.
+ * ryzom_api is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU Lesser General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * ryzom_api is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public License
+ * along with ryzom_api.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+?>
\ Kein Zeilenumbruch am Dateiende.
diff -Nur ryzom_api.orig/ryzom_api.php ryzom_api/ryzom_api.php
--- ryzom_api.orig/ryzom_api.php	2009-07-20 09:03:17.000000000 +0200
+++ ryzom_api/ryzom_api.php	2009-07-19 18:52:13.000000000 +0200
@@ -16,7 +16,7 @@
  * along with ryzom_api.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-$includes = array('common', 'time', 'title', 'guild_icon', 'character', 'item_icon', 'banner', 'status', 'guild');
+$includes = array('common', 'time', 'title', 'guild_icon', 'character', 'item_icon', 'banner', 'status', 'guild', 'guilds');
 
 require_once('config.php');
 
